#include <stdio.h>


/* currently not in Genoade's libc api */
struct servent;
int getservbyname_r(const char *, const char *, struct servent *,
                     char *, size_t, struct servent **);
int getservbyname_r(const char *, const char *, struct servent *,
                     char *, size_t, struct servent **)
{
	printf("%s:%d\n", __func__, __LINE__);
	return 0;
}


/* is currently not compiled into Genode's libc */

unsigned int if_nametoindex(const char *);
unsigned int if_nametoindex(const char *)
{
	printf("%s:%d: called not implemented\n", __func__, __LINE__);
	return 0;
}


#include "glib/glib-private.h"

void __lsan_ignore_object(const void *p) { }
void __lsan_disable(void) { }
void __lsan_enable(void) { }
